### Function

# Gdk.content_register_deserializer

#### Declaration [src]

    void
    gdk_content_register_deserializer (
      const char* mime_type,
      GType type,
      GdkContentDeserializeFunc deserialize,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Registers a function to deserialize object of a given type.

#### Parameters

`mime_type` | `const char*`
| the mime type which the function can deserialize from
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`type` | `GType`
| the type of objects that the function creates
`deserialize` | `GdkContentDeserializeFunc`
| the callback
`data` | `gpointer`
| data that `deserialize` can access
`notify` | `GDestroyNotify`
| destroy notify for `data`